import Foundation

enum ConnectionAction: Codable {
    case reconnect
    case srvRecordsUpdated(_ records: [SRVRecord])

    case startConnection(recordIndex: Int)
    case connected(_ host: String, _ port: Int)
    case connectionUpdated(_ status: ConnectionStatus)

    case connectionSend(_ data: Data)
    case connectionReceived(_ data: Data)

    case startTls
    case tlsStarted
}
